Simulate Authorization Reversal
curl --request GET \
--url https://api.sandbox.sudo.cards/cards/simulator/authorization/{id}/reversal \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/cards/simulator/authorization/{id}/reversal"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/cards/simulator/authorization/{id}/reversal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Authorization reversed successfully.",
"data": {
"_id": "6840c1aa2b3c4d5e6f700222",
"business": "670cec9d25852ba485d74273",
"customer": {
"_id": "64a1b2c3d4e5f6a7b8c9d0e1",
"name": "John Doe"
},
"account": {
"_id": "67974b365c184d20fc340889",
"type": "account",
"currency": "NGN",
"accountName": "John Doe",
"accountNumber": "1234567890"
},
"card": {
"_id": "6418eb71a37e405064694518",
"type": "virtual",
"brand": "Verve",
"currency": "NGN",
"maskedPan": "506110******1234"
},
"pendingRequest": {
"amount": 5000,
"currency": "NGN",
"merchantAmount": 5000,
"merchantCurrency": "NGN"
},
"transactionMetadata": {
"channel": "web",
"type": "purchase",
"reference": "TRX-250604-2156"
},
"amount": 5000,
"fee": 0,
"vat": 0,
"approved": true,
"currency": "NGN",
"status": "reversed",
"authorizationMethod": "online",
"createdAt": "2025-06-04T21:05:26.115Z",
"updatedAt": "2025-06-05T09:15:00.000Z",
"__v": 0
}
}{
"statusCode": 400,
"message": "Invalid authorization id.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}Simulator (Sandbox Only)
Simulate Authorization Reversal
Simulates different types of authorizations across several merchant categories and channels.
GET
/
cards
/
simulator
/
authorization
/
{id}
/
reversal
Simulate Authorization Reversal
Authorizations
Path Parameters
The _id of the authorization you wish to reverse.
⌘I
